# Select_Reactor_Base.cpp File Reference

`#include "ace/Select_Reactor_Base.h"`
`#include "ace/Reactor.h"`
`#include "ace/Thread.h"`
`#include "ace/SOCK_Acceptor.h"`
`#include "ace/SOCK_Connector.h"`
`#include "ace/Timer_Queue.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Signal.h"`
`#include "ace/OS_NS_fcntl.h"`

Include dependency graph for Select_Reactor_Base.cpp:

## Defines

#define | ACE_SELECT_REACTOR_HANDLE(H) (this->event_handlers_[(H)].handle_)
#define | ACE_SELECT_REACTOR_EVENT_HANDLER(THIS, H) ((THIS)->event_handlers_[(H)].event_handler_)

## Define Documentation

#define ACE_SELECT_REACTOR_EVENT_HANDLER | ( | THIS,
|  | H |  | ) | ((THIS)->event_handlers_[(H)].event_handler_)

#define ACE_SELECT_REACTOR_HANDLE | ( | H |  | ) | (this->event_handlers_[(H)].handle_)